﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}
        <div class="text-center">
            <h1 class="display-4">Welcome</h1>
            <p>This website is a basic CRUD application build by AQuA for training purposes.</p>
        </div>

        <div style="text-align:center">
            <button class="buttonHP">
                <a style="text-decoration:none; color:black;" id="createNewGame" asp-page="/Games/Create">
                    <svg class="bi bi-plus" width="50px" height="50px" viewBox="0 0 20 20" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M10 5.5a.5.5 0 01.5.5v4a.5.5 0 01-.5.5H6a.5.5 0 010-1h3.5V6a.5.5 0 01.5-.5z" clip-rule="evenodd"></path>
                        <path fill-rule="evenodd" d="M9.5 10a.5.5 0 01.5-.5h4a.5.5 0 010 1h-3.5V14a.5.5 0 01-1 0v-4z" clip-rule="evenodd"></path>
                    </svg></br>Create new game
                </a>

            </button>
            <button class="buttonHP">
                <a style="text-decoration:none; color:black;" id="gameOverview" asp-page="/Games/Index">
                    <svg class="bi bi-list" width="50px" height="50px" viewBox="0 0 20 20" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M4.5 13.5A.5.5 0 015 13h10a.5.5 0 010 1H5a.5.5 0 01-.5-.5zm0-4A.5.5 0 015 9h10a.5.5 0 010 1H5a.5.5 0 01-.5-.5zm0-4A.5.5 0 015 5h10a.5.5 0 010 1H5a.5.5 0 01-.5-.5z" clip-rule="evenodd"></path>
                    </svg></br>Game overview
                </a>
            </button>
        </div>

        <div style="margin-top: 10%">
            <p>Source code of website: <a href="https://gitlab.com/d.desutter91/aquagames">https://gitlab.com/d.desutter91/aquagames</a></p>
            <p>API overview: <a href="/swagger">here</a></p>
            <p>UI and API Test Automation Frameworks: <a href="https://gitlab.com/d.desutter91/aqua-bdd-specflow">https://gitlab.com/d.desutter91/aqua-bdd-specflow</a></p>
            <p style="display:inline-block; margin-right:10px;">API Tests in Postman: 
                <div class="postman-run-button" style="display:inline-block;"
                     data-postman-action="collection/import"
                     data-postman-var-1="66d44837edf8361bdf84">
                </div>
                <script type="text/javascript">
                    (function (p, o, s, t, m, a, n) {
                        !p[s] && (p[s] = function () { (p[t] || (p[t] = [])).push(arguments); });
                        !o.getElementById(s + t) && o.getElementsByTagName("head")[0].appendChild((
                            (n = o.createElement("script")),
                            (n.id = s + t), (n.async = 1), (n.src = m), n
                        ));
                    }(window, document, "_pm", "PostmanRunObject", "https://run.pstmn.io/button.js"));
                </script>
            </p>
        </div>
